Latest 0.0.2
Homepage https://github.com/duanruiying/DryDB
License MIT
Platforms ios 9.0, requires ARC
Dependencies WCDB.swift
Frameworks UIKit, Foundation
Authors

iOS: WCDB的简单配置

Prerequisites

  • Xcode 10.2.1
  • iOS 9.0 or later
  • ObjC、Swift 4.2 or later

Installation

  • pod ‘DryDB’

Features – 常用方法

初始化数据库

DryDB.initDataBase(withRootName: "Dry", dbName: "user", pwd: "123")

获取DB操作对象

let db: Database? = DryDB.db

Latest podspec

{
    "name": "DryDB",
    "version": "0.0.2",
    "summary": "DryDB",
    "homepage": "https://github.com/duanruiying/DryDB",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "duanruiying": "[email protected]"
    },
    "source": {
        "git": "https://github.com/duanruiying/DryDB.git",
        "tag": "0.0.2"
    },
    "description": "TODO: iOS WCDBu7684u7b80u5355u914du7f6e.",
    "swift_version": "4.2",
    "platforms": {
        "ios": "9.0"
    },
    "requires_arc": true,
    "user_target_xcconfig": {
        "OTHER_LDFLAGS": [
            "-w"
        ]
    },
    "pod_target_xcconfig": {
        "OTHER_LDFLAGS": [
            "-w"
        ]
    },
    "source_files": "DryDB/Classes/Code/**/*",
    "frameworks": [
        "UIKit",
        "Foundation"
    ],
    "dependencies": {
        "WCDB.swift": [
            "1.0.8.2"
        ]
    }
}

Pin It on Pinterest

Share This